Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::RadialIntegrator Class Reference

An abstract base class for radial integrators. More...

`#include <integrator.h>`

Inheritance diagram for sc::RadialIntegrator:

[legend]
Collaboration diagram for sc::RadialIntegrator:

[legend]
List of all members.

## Public Methods

| RadialIntegrator ()
| RadialIntegrator (const Ref< KeyVal > &)
| RadialIntegrator (StateIn &)
| ~RadialIntegrator ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual int | nr () const=0
virtual double | radial_value (int ir, int nr, double radii, double &multiplier)=0

## Protected Attributes

int | nr_

## Detailed Description

An abstract base class for radial integrators.

## Member Function Documentation

void sc::RadialIntegrator::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState. Reimplemented in sc::EulerMaclaurinRadialIntegrator.

The documentation for this class was generated from the following file:

- integrator.h